Subject: [bug#40040] Resubmission of patch for Package Description for CRAN Package r-crochet

From: Naga Malleswari <[email-masked]>
Date: Thu, 19 Mar 2020 23:31:20 +0530

On 19/03/20 11:23 pm, Danny Milosavljevic wrote:
> Hi Naga,
>
> On Thu, 19 Mar 2020 23:05:35 +0530
> Naga Malleswari <[email-masked]> wrote:
>
>>> Also, we are using automated tools to apply these patches.  For that to work
>>> right without manual fiddling, please put eventual mail text below the "---"
>>> and above the "diff" (so it's filtered out by the automated tool).  
>> Actually i dint get the "Eventual mail text" part. All i have is this in
>> the patch file
> Nevermind, I'll just edit it.
>
>> Yes, you are correct. I have downloaded package description through 
>> guix import cran -r <package>. This resulted expat licence.
>>
>> But its showing as MIT in the following link.
>>
>> https://cran.r-project.org/web/packages/crochet/
> Hmm, that looks better.  Weird.
>
> But just judging from https://github.com/agrueneberg/crochet , I wouldn't
> have thought that that was under MIT license.  The only mention there
> is in the DESCRIPTION file.  Is that enough for Guix?
>
>> The authors github page shows a file licence. Does it mean there is no
>> proper licensing applied for the package? In that case what should we do.
> Let's wait until someone knowledgeable in CRAN posts.
>
> Could you open an issue on https://github.com/agrueneberg/crochet asking
> them to put an Expat license file into the project if that's their intention?
I will do that. Meanwhile i will write package definition another
package. Would that be a correct?
>
>> r-isoband is showing expat in guix import,   MIT in website(
>> https://cran.r-project.org/web/packages/isoband/index.html) ,  git page
>> shows a file https://github.com/wilkelab/isoband
> That has a file LICENSE.md which makes the situation a lot clearer
> for that package.

Understood.

But r-hrbrthmes package in cran.scm no license file is found.

https://github.com/hrbrmstr/hrbrthemes

>
>> MIT [...] Expat
> MIT is an ambiguous reference, actually it can be either Expat or X11.
>
> See also https://en.wikipedia.org/wiki/MIT_License

-- 
Regards
NagaMalli